html {
    opacity: 1;
}

/* box model */
html {
    box-sizing: border-box;
}
*, *:before, *:after {
    box-sizing: inherit;
}

/* variables */
:root {
    --color-background: black;
    --color-text: white;
    --color-text-inverse: var(--color-background);
    --color-background-inverse: var(--color-text);
    --color-link-header: white;
    --color-link: var(--color-text);
    --color-link-hover: black;
    --color-tag: gold;
    --size-font: 18px;
    --size-font-large: 18px;
    --size-font-0: 2.1rem;
    --size-font-1: 1.9rem;
    --size-font-2: 1.6rem;
    --size-font-3: 1.4rem;
    --size-font-4: 1.2rem;
    --size-font-5: 0.8rem;
    --size: 2rem;
    --size-container: 60rem;
    --size-container-text: 45rem;
    --img-max-height: 85vh;
}

/* animations */
@keyframes AppearSlow {
    0% {
	opacity: 0;
	transform: translate(-2%, -4%);
    }
    100%{
	opacity: 1;
	transform: translate(0, 0);
    }
}

/* resets */
body {
    margin: 0;
}
h1, h2, h3, p {
    margin-top: 0;
}
h1, h2, h3 {
    line-height: 1.3;
}
h2 {
    /* color: var(--color-tag) */
}
h3 {
    /* color: var(--color-tag) */
}

/* layout global defaults */
html,
body {
    min-height: 100vh;
}

html {
    font-family: 'Merriweather', serif;
    line-height: 1.8;
    font-size: var(--size-font);
    color: var(--color-text);
    scroll-behavior: smooth;
}
@media (min-width: 60rem) {
    html {
	font-size: calc(var(--size-font) * 1.1);
    }   
}

img {
    display: block;
    max-width: 100%;
    opacity: 1;
    transition: opacity 400ms ease-in-out;
}

/* images-loaded, web-component */
img {
    opacity: 0;
}
img[loaded="true"] {
    opacity: 1;
}

/* typography */
a {
    color: var(--color-link);
}
a:hover {
    
}

/* site */
.Site {
    background-color: var(--color-background);
    display: flex;
    flex-direction: column;

    /* center */
    align-content: center;
    /* connot use, since breaks the v-scroll */
    /* justify-content: center; */
    /* opacity: 0; */
    /* transition: opacity 50ms ease-in-out; */
}

/* site loaded font */
.Site.is-fontsLoaded {
    /* opacity: 1; */
}
/* site header */
.Site-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 3;
    padding: 0 var(--size);
}
.Site--home .Site-header {
    /* background-color: var(--color-background); */
}
@media (min-width: 40rem) {
    .Site-header {
	display: flex;
	flex-direction: row;
	justify-content: center;
    }
}

/* site main */
.Site-main {
    flex-grow: 1;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
    align-self: center;
    width: 100%;
}
.Site--home .Site-header {
    position: fixed;
    bottom: 1rem;
    left: 0;
    right: 0;
}

/* site-title */
.Site-title {
    text-align: center;
    display: flex;
    margin-bottom: 0;
    font-size: var(--size-font);
    margin-right: var(--size);
    margin-left: var(--size);
    line-height: 1.2;
}
.Site-title a {
    transition: font-size 2000ms ease-in-out;
    color: var(--color-link-header);
    text-decoration: none;
    padding: calc(var(--size) / 5) calc(var(--size) / 3);
}
.Site-title a:hover {
    font-size: calc(var(--size-font-1) * 1.3);
}
@media (min-width: 40rem) {
    .Site-title {
	font-size: var(--size-font-1)
    }
}

/* navigation */
.Nav--main {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.Nav--main nav-item {
    font-size: var(--size-font-4);
    
}
.Nav--main nav-item a {
    transition: font-size 400ms ease-in-out;
    color: var(--color-link-header);
    font-weight: bold;
    padding: 0.3rem;
    margin: 0.1rem 0.4rem;
    text-decoration: none;
    text-align: center;
		text-transform: capitalize;
}
.Nav--main nav-item a:hover {
    font-size: calc(var(--size-font-4) * 1.3);
    text-decoration: none;
}

/* sections */
.Section {
    width: 100%;
}
.Section-header {
		padding: var(--size);
		text-align: center;
		margin-top: calc(var(--size) * 1.3);
}
.Section-title {
    margin-bottom: 0;
}
.Container {
    max-width: var(--size-container);
}
.Container--full {
    max-width: 100%;
}
.Container--padding {
    padding-left: var(--size);
    padding-right: var(--size);
}

/* cards */
.Cards--list {
    margin-top: var(--size);
}
.Cards--home {
    position: absolute;
    bottom: 20vh;
    right: 0;
    max-width: 30rem;
    opacity: 1;
    transform: translate(0, 0);
    animation-name: AppearSlow;
    animation-duration: 3s;
    animation-delay: 3s;
    animation-fill-mode: backwards;
    animation-timing-function: ease-in-out;
}
@media (min-width: 60rem) {
    .Cards--home {
	bottom: 15vh;
    }
}
.Cards--home .Card-title {
    text-align: right;
}

.Cards--grid {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    padding: 2rem;
}
.Cards--grid .Card {
    max-width: 15rem;
}
.Cards--grid .Card-link {
    flex-wrap: wrap;
}

/* card */
.Card {
    margin-bottom: var(--size);
}
.Card-link {
    display: flex;
    text-decoration: none;
    padding: 0.9rem 0.9rem;
}
@media (min-width: 40rem) {
    .Card-link {
	flex-wrap: nowrap;
    }
}
.Card-link:hover {
    text-decoration: none;
}

.Card-media {
    z-index: 0;
    max-width: calc(var(--size-container) / 7);
    transition: transform 200ms ease-in-out;
    transform-origin: right;
    padding-right: 1rem;
    padding-bottom: 0.5rem;
    padding-left: 0.5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.Card-title {
    margin-bottom: 0;
    line-height: 1.3;
    font-size: var(--size-font-3);
}
.Card-titleSpan {
    border-bottom: 0.2rem solid transparent;
    transition: border-color 200ms ease-in-out 50ms;
}
.Card-content {
    z-index: 1;
    flex-grow: 1;
    flex-basis: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.Card-footer {
    display: flex;
    justify-content: flex-start;
    align-content: flex-end;
}
.Card-datePublished {
    font-size: var(--size-font-5);
    font-style: italic;
    margin-right: 0.5rem;
    font-weight: bold;
}
.Card-summary {
    line-height: 1.4;
}

/* content */

.SiteMain img {
}

/* Article */
.Article {
    width: 100%;
}
.Article-header {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-end;
    width: 100%;
    height: 100%;
    transition: height 300ms ease-in-out;
}

/* article metas */
.Article-meta {
    align-self: flex-start;
    display: flex;
    justify-content: flex-end;
    padding-bottom: 0.5rem;
    padding-right: 0.5rem;
}
.Article-datePublished,
.Article-language {
    padding: 0.2rem 0.8rem;
    margin-left: 0.3rem;
}

/* article title group */
.Article-titleInfo {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
}
.Article-titleInfo:hover {
    opacity: 0.2;
}

/* article main title */
.Article-title {
    padding-bottom: calc(var(--size) / 2);
    font-size: 2.7rem;
    margin-bottom: 0;
    transform: translateY(-40%);
    transition: opacity 300ms ease-in-out, transform 500ms ease-in-out;
    opacity: 1;
}
.Article-header:not(.is-imagesLoaded) .Article-title {
    opacity: 0;
    transform: translateY(0);
}
@media (min-width: 40rem) {
    .Article-title {
	transform: translateY(-20%);
    }
}
.Article-title a {
    padding: calc(var(--size) / 4);
    text-decoration: none;
    font-size: var(--size-font-1);
    background-color: var(--color-background);
}

/* article series */
.Article-series {
    text-decoration: none;
    font-size: var(--size-font-3);
    transition: opacity 800ms ease-in-out, transform 400ms ease-in-out;
}
.Article-header:not(.is-imagesLoaded) .Article-series {
    opacity: 0;
}
.Article-series span {
    padding: calc(var(--size) / 4);
    background-color: var(--color-background);
}
.Article-series span:after {
    content: ':';
}

/* article featured image */
.Article-featuredImage {
    background-position: center center;
    background-size: cover;
    /* background-attachment: fixed; */
    width: 100%;
    min-height: 90vh;
    transition: opacity 800ms ease-in-out, filter 700ms ease-in;
    opacity: 1;
    filter: blur(0);
}
.Article-featuredImage:not(.is-imagesLoaded) {
    opacity: 0;
    filter: blur(2px);
}

@media (min-width: 60rem) {
    .Article-featuredImage {
	min-height: 95vh;
    }
}
.Article-featuredImageCaption {
    text-align: right;
    font-style: italic;
    width: 100%;
    position: absolute;
    top: 0;
    right: 0;
}

/* article main content container  */
.Article-main {
    background-color: var(--color-background);
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: var(--size);
}

/* articles content (article main markdown body) */
.Article-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-grow: 1;
    width: 100%;
}

/* article links */
.Article-content a {
}

.Article-content h1,
.Article-content h2,
.Article-content h3,
.Article-content h4,
.Article-content h5,
.Article-content p,
.Article-content figcaption,
.Article-content ol,
.Article-content ul,
.Article-content iframe {
    padding-left: var(--size);
    padding-right: var(--size);
}

/* article titles */
.Article-content h1,
.Article-content h2,
.Article-content h3,
.Article-content h4,
.Article-content h5 {
    display: flex;
    max-width: calc(var(--size-container-text) * 1.2);
    width: 100%;
    margin-bottom: calc(var(--size) * 1.2);
    margin-top: calc(var(--size) * 1.3);
}
.Article-content h1 {
    font-size: var(--size-font-0);
}
.Article-content h2 {
    font-size: var(--size-font-1);
}
.Article-content h3 {
    font-size: var(--size-font-2);
}
.Article-content h1 a,
.Article-content h2 a,
.Article-content h3 a,
.Article-content h4 a,
.Article-content h5 a {
    border-color: transparent;
    text-decoration: none;
}

/* article paragraph and lists */
.Article-content p,
.Article-content ol,
.Article-content ul {
    max-width: var(--size-container-text);
    width: 100%;
}

/* articles blockquotes */
.Article-content blockquote {
    /* padding: calc(var(--size) / 2); */
}
.Article-content blockquote {
		quotes: '“' '”' '‘' '’' '“' '”' '‘' '’' '“' '”';
		position: relative;
}
.Article-content blockquote::before {
		content: open-quote;
}
.Article-content blockquote::after {
		content: close-quote;
}


.Article-content blockquote p {
    padding-left: calc(var(--size) / 2);
    padding-right: calc(var(--size) / 2);
    margin-bottom: 0.5rem;
    font-style: italic;
    font-size: var(--size-font-4);
}

/* article media */
.Article-content iframe {
    padding: var(--size);
    margin-bottom: var(--size);
    margin-top: calc(var(--size) / 2);
    max-width: calc(var(--size-container-text) * 1.1);
    width: 100%;
    min-height: 40vh;
}
.Article-image {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: calc(var(--size) * 1.4) 0;
}
.Article-image img {
    max-height: var(--img-max-height);
    margin-bottom: var(--size);
    margin-top: var(--size);
}

.Article-image figcaption {
    max-width: calc(var(--size-container) / 0.9);
    text-align: right;
    font-style: italic;
}

/* article footer */
.Article-footer {
    padding: calc(var(--size) * 2) 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.Article-footerTitle {
    justify-self: flex-start;
    font-size: var(--size-font-2);
}

/* article links */
.Article-links {
    max-width: var(--size-container);
    width: 100%;
    list-style-position: inside;
}
.Article-links:before {
    content: '~';
    font-size: var(--size-font-3);
    margin-left: -0.3rem;
}
.Article-links:after {
    content: '~';
    font-size: var(--size-font-3);
    margin-left: -0.3rem;
}
.Article-link {
    
}

/* pages */
.Page-title {
    text-align: center;
}
.Page-title a {
    text-decoration: none;
    font-size: var(--size-font-1);
}

/* home */
.Home-featuredImage {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    background-position: center center;
    background-size: cover;
    transition: opacity 600ms ease-in-out, transform 1000ms ease-in-out, filter 700ms ease-in;
    opacity: 1;
    transform: scale(1);
    filter: blur(0);
}
.Home-featuredImage:not(.is-imagesLoaded) {
    opacity: 0;
    transform: scale(1.02);
    filter: blur(2px)
}
